Summary:        Rsync remote-delta algorithm library
Name:           librsync
Version:        2.3.2
Release:        1
License:        LGPLv2+
URL:            https://librsync.github.io/
Source:         https://github.com/%{name}/%{name}/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  cmake3 >= 3.6
BuildRequires:  gcc
BuildRequires:  popt-devel

%description
librsync is a library for calculating and applying network deltas, with an
interface designed to ease integration into diverse network applications.

librsync encapsulates the core algorithms of the rsync protocol, which help
with efficient calculation of the differences between two files. The rsync
algorithm is different from most differencing algorithms because it does not
require the presence of the two files to calculate the delta. Instead, it
requires a set of checksums of each block of one file, which together form a
signature for that file. Blocks at any in the other file which have the same
checksum are likely to be identical, and whatever remains is the difference.

%package devel
Summary:        Headers and development libraries for librsync
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The librsync-devel package contains header files and library necessary for
developing programs based on librsync.

%package doc
Summary:         Documentation files for %{name}
BuildArch:       noarch
BuildRequires:   doxygen

%description doc
librsync is a library for calculating and applying network deltas, with an
interface designed to ease integration into diverse network applications.
This package contains the API documentation for developing applications that
use librsync.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake .
%make_build
%make_build doc

%install
%make_install

%check
make check

%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS NEWS.md README.md
%{_libdir}/%{name}.so.*
%{_bindir}/rdiff
%{_mandir}/man1/rdiff.1*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/%{name}*
%{_mandir}/man3/%{name}.3*

%files doc
%doc html

%changelog
* Mon Jul 25 2022 xu_ping <xuping33@h-partners> 2.3.2-1
- Package init
